package net.lemnik.eodsql;

/**
 * An implementation of {@link DataSetCache} that does not cache rows.
 * This implementation can be used for very large <code>DataSet</code>'s,
 * but it forces every call to "get()" to re-fetch the row
 * (and therefore reconstruct the <code>Object</code>).
 *
 * @author Jason Morris
 */
public class NullDataSetCache<T> implements DataSetCache<T> {
    
    public void init(DataSet<T> dataSet) {
    }

    public boolean isCached(int row) {
        return false;
    }

    public T getObject(int row) {
        return null;
    }

    public void setObject(int row, T object) {
    }

    public void destroy() {
    }
    
}
